<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\CSModel;

class CSEntity extends EquipmentEntity
{
    const PK = CSModel::PK;
    const TITLE = CSModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    public function getPrice(): int
    {
        return $this->attributes['price'];
    }
    public function getCustomTitle(): string
    {
        return   $this->getTitle() . " " . number_format($this->getPrice()) . "원";
    }
}
